MVN

org.axonframework.extensions.mongo : axon-mongo

Maven & Gradle

Sep 14, 2022
4 usages
19 stars

Axon Framework MongoDB Extension · This module contains components that integrate with MongoDB.

<dependency>
    <groupId>org.axonframework.extensions.mongo</groupId>
    <artifactId>axon-mongo</artifactId>
    <version>4.6.0</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of org.axonframework.extensions.mongo : axon-mongo to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 4.6.0
  • Latest Release Candidate: 4.0-RC1

All Versions

Choose a version of org.axonframework.extensions.mongo : axon-mongo to add to Maven or Gradle - All Versions:

  • Version Updated
  • axon-mongo-4.6.0

    Sep 14, 2022
  • axon-mongo-4.5

    Oct 25, 2021
  • axon-mongo-4.4

    Aug 05, 2020
  • axon-mongo-4.3

    Mar 24, 2020
  • axon-mongo-4.2

    Aug 16, 2019
  • axon-mongo-4.1.1

    Apr 11, 2019
  • axon-mongo-4.1

    Mar 13, 2019
  • axon-mongo-4.0.1

    Jan 07, 2019
  • axon-mongo-4.0

    Oct 18, 2018
  • axon-mongo-4.0-RC1

    Oct 16, 2018

How to add a dependency to Maven

Add the following org.axonframework.extensions.mongo : axon-mongo maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>org.axonframework.extensions.mongo</groupId>
    <artifactId>axon-mongo</artifactId>
    <version>4.6.0</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following org.axonframework.extensions.mongo : axon-mongo gradle dependency to your build.gradle file:

implementation 'org.axonframework.extensions.mongo:axon-mongo:4.6.0'

Gradle Kotlin DSL: Add the following org.axonframework.extensions.mongo : axon-mongo gradle kotlin dependency to your build.gradle.kts file:

implementation("org.axonframework.extensions.mongo:axon-mongo:4.6.0")

How to add a dependency to SBT Scala

SBT Scala: Add the following org.axonframework.extensions.mongo : axon-mongo sbt scala dependency to your build.sbt file:

libraryDependencies += "org.axonframework.extensions.mongo" % "axon-mongo" % "4.6.0"